Package org.spongepowered.asm.launch.platform

## Class MixinPlatformAgentDefault

- java.lang.Object
- - org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract
  - - org.spongepowered.asm.launch.platform.MixinPlatformAgentDefault

All Implemented Interfaces:
  `IMixinPlatformAgent`

    public class MixinPlatformAgentDefault
    extends MixinPlatformAgentAbstract

Default platform agent, handles the mixin manifest keys such as `MixinConfigs` and `MixinTokenProviders`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.spongepowered.asm.launch.platform.IMixinPlatformAgent

`IMixinPlatformAgent.AcceptResult`

### Field Summary

### Fields inherited from class org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract

`handle, logger, manager`

### Constructor Summary

Constructors
`MixinPlatformAgentDefault()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `prepare()` Called during pre-initialisation, after all tweakers and tweak containers have been added to the environment.

### Methods inherited from class org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract

`accept, getPhaseProvider, initPrimaryContainer, inject, invokeStringMethod, toString, unwire, wire`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MixinPlatformAgentDefault

    public MixinPlatformAgentDefault()

### Method Detail

#### prepare

    public void prepare()

Description copied from interface: `IMixinPlatformAgent`
Called during pre-initialisation, after all tweakers and tweak containers have been added to the environment.

Specified by:
  `prepare` in interface `IMixinPlatformAgent`
Overrides:
  `prepare` in class `MixinPlatformAgentAbstract`